summaryrefslogtreecommitdiff
path: root/openwrt/package/php5/files/php.init
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-08-14 16:27:48 +0000
committerNicolas Thill <nico@openwrt.org>2005-08-14 16:27:48 +0000
commit0869de5f056a9633d58ffaa1ce5930b6e00c8eb3 (patch)
treec74524546a450b64ffd88cc7313f48e9961afbb1 /openwrt/package/php5/files/php.init
parent10be238e537af97ba021632817b0f967c92ab8a3 (diff)
downloadmtk-20170518-0869de5f056a9633d58ffaa1ce5930b6e00c8eb3.zip
mtk-20170518-0869de5f056a9633d58ffaa1ce5930b6e00c8eb3.tar.gz
mtk-20170518-0869de5f056a9633d58ffaa1ce5930b6e00c8eb3.tar.bz2
add php5 package
SVN-Revision: 1667
Diffstat (limited to 'openwrt/package/php5/files/php.init')
-rw-r--r--openwrt/package/php5/files/php.init19
1 files changed, 19 insertions, 0 deletions
diff --git a/openwrt/package/php5/files/php.init b/openwrt/package/php5/files/php.init
new file mode 100644
index 0000000..b29387b
--- /dev/null
+++ b/openwrt/package/php5/files/php.init
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+export PHP_FCGI_CHILDREN=''
+PORT=1026
+BIN=/usr/sbin/php
+
+case $1 in
+ start)
+ $BIN -b $PORT &
+ ;;
+ stop)
+ kill `pidof php`
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?